---
schemaVersion: v1
kind: Transfer

stages:
  Collect:
    plugins:
      - name: hoppr.core_plugins.collect_docker_plugin
      - name: hoppr.core_plugins.collect_git_plugin
      - name: hoppr.core_plugins.collect_helm_plugin
      - name: hoppr.core_plugins.collect_maven_plugin
      - name: hoppr.core_plugins.collect_pypi_plugin
      - name: hoppr.core_plugins.collect_yum_plugin
      - name: hoppr.core_plugins.collect_raw_plugin
  OCIBundle:
    plugins:
      - name: hoppr.core_plugins.oras_bundle
        config:
          oras_artifact_name: registry.gitlab.com/hoppr/hoppr/oras-bundle-test
          oras_artifact_version: 1.2.3
          oras_registry: registry.gitlab.com

max_processes: 10
